Bug 864436 - Weird text rendering
Weird text rendering
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-09 08:30 EDT by Alexandre Franke
Modified: 2015-02-17 09:30 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 09:30:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Text eaten in GNOME Shell (74.04 KB, image/png)
2012-10-09 08:30 EDT, Alexandre Franke
no flags Details
Squares instead of characters in Epiphany (183.99 KB, image/png)
2012-10-09 08:41 EDT, Alexandre Franke
no flags Details

  None (edit)
Description Alexandre Franke 2012-10-09 08:30:12 EDT
Created attachment 624060 [details]
Text eaten in GNOME Shell

At random, text becomes unreadable in an application. This happens in two forms depending on the application:

* in Epiphany, all characters in the address bar, the menu items and native widgets (combo boxes, GTK File Chooser) turn to squares while some of the text of the webpages isn't displayed anymore leaving me with the background only.

* in GNOME Shell, gnome-terminal, and essentially any other GTK+ app I use, parts of some characters are eaten.

I'll attach two screenshots demonstrating the issue.

I don't know how to trigger the bug but it happens all the time so I can help debug this and perform any test you want (and provide logs). I just don't know where to start.
Comment 1 Alexandre Franke 2012-10-09 08:41:08 EDT
Created attachment 624063 [details]
Squares instead of characters in Epiphany
Comment 2 Daniel Veillard 2012-10-09 08:57:58 EDT
I get that a lot on my T510 laptop (Intel chipset) after a couple of weeks
of use, usually fonts just don't render or only from time to time (some redraws
okay, others not). I usually use this as an excuse to log out and back in...

Daniel
Comment 3 Alexandre Franke 2012-10-09 11:57:57 EDT
Sadly if I did reboot each time it happens, I'd spend more time waiting for the boot process to finish than actually using the computer. This can happen really early after the session opened.

By the way, my graphics card is an ATI Radeon 9800.
Comment 4 Fedora End Of Life 2013-07-03 20:34:09 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-12-21 04:04:48 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Matthias Clasen 2014-09-03 23:47:04 EDT
This has the look and feel of a driver bug,
Comment 7 Fedora End Of Life 2015-01-09 12:24:40 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2015-02-17 09:30:04 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.